    /* Reset and base styles */
    body {
      margin: 0;
      font-family: Arial, sans-serif;
      background-color: #f9f9f9;
      color: #333;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      min-height: 60vh;
      padding: 0;
      box-sizing: border-box;
    }

    h1 {
      text-align: center;
      color: #7a7c79;
      margin: 0;
      padding: 20px 0;
      width: 90%;
      background: #fff;
      box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
      font-size: 1.8rem;
      position: fixed;
      top: 0;
      z-index: 10;
    }

    .content {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 100%;
      max-width: 500px;
      flex-grow: 1;
      padding-top: 80px; /* Space for the fixed header */
    }

    .page {
      display: none;
      text-align: center;
      animation: fadeIn 0.3s ease-in-out;
    }

    .page.active {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 100%
    }

    h2 {
      font-size: 1.5rem;
      margin-bottom: 20px;
    }

    button {
      display: block;
      width: 80%;
      max-width: 300px;
      padding: 12px;
      margin: 10px 0;
      font-size: 1rem;
      font-weight: bold;
      color: #fff;
      background-color: #4CAF50;
      border: none;
      border-radius: 5px;
      cursor: pointer;
      transition: background-color 0.3s;
    }

    button:hover {
      background-color: #45a049;
    }

    button:active {
      background-color: #3e8e41;
    }

    @keyframes fadeIn {
      from {
        opacity: 0;
        transform: translateY(20px);
      }
      to {
        opacity: 1;
        transform: translateY(0);
      }
    }

    /* Responsive adjustments */
    @media (max-width: 768px) {
      h1 {
        font-size: 1.5rem;
      }

      h2 {
        font-size: 1.2rem;
      }

      button {
        font-size: 1.3rem;
        padding: 10px;
      }
    }